Name: portaudio2
Version: 19
Release: alt3.svn1134.qa1

Summary: PortAudio is a free, cross platform, open-source, audio I/O library
URL: http://www.portaudio.com/
Group: System/Libraries
License: BSD
Source: %name-%version.tar.bz2

# http://osdir.com/ml/audio.portaudio.devel/2007-04/msg00141.html
Patch: portaudio2-19-jack.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=445644
Patch1: portaudio-non-mmap-alsa.patch

# Automatically added by buildreq on Sat Sep 16 2006
BuildRequires: gcc-c++ jackit-devel libalsa-devel

%description
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

%package -n lib%name
Summary: PortAudio is a free, cross platform, open-source, audio I/O library
Group: System/Libraries

%description -n	lib%name
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

%package -n lib%name-devel
Summary: Static library and header files for the PortAudio library
Group: Development/C
Requires: lib%name = %version-%release
Conflicts: libportaudio-devel

%description -n	lib%name-devel
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

This package contains the static PortAudio library and its header
files.

%prep
%setup -q
%patch
#%%patch1 -p1

%build
%autoreconf
%configure \
	--disable-static

pushd bindings/cpp
aclocal
autoconf
%configure \
	--disable-static

popd

%make_build
%make_build -C bindings/cpp

%install
%make DESTDIR=%buildroot install
%make DESTDIR=%buildroot install -C bindings/cpp

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%doc README.txt V19-devel-readme.txt
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Thu Nov 25 2010 Igor Vlasenko <viy@altlinux.ru> 19-alt3.svn1134.qa1
- rebuild using girar-nmu to require/provide setversion 
  by request of mithraen@

* Thu Aug 20 2009 Yuri N. Sedunov <aris@altlinux.org> 19-alt3.svn1134
- fixed build

* Sun Dec 14 2008 Yuri N. Sedunov <aris@altlinux.org> 19-alt2.svn1134
- added a patch to build against new JACK
  (http://osdir.com/ml/audio.portaudio.devel/2007-04/msg00141.html)
- removed obsolete %%post{,un}_ldconfig

* Fri Dec 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 19-alt1.svn1134
- fixed build with new auto*

* Sat Sep 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 19-alt0.svn1134
- initial build

